## CSP_SNAPSHOT_20190518-1.Win32.i686%2Bsse2%2B2.7z

=== Win32/DOC/Qt-5.12.3/Makefile ===
#############################################################################
# Makefile for building: qt
# Generated by qmake (3.1) (Qt 5.12.3)
# Project:  qt.pro
# Template: subdirs
# Command: /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -o Makefile qt.pro -- -release -optimized-tools -platform linux-g++ -prefix /usr/local/i586-mingw-msvc/5.12/mingw_82x -opensource -confirm-license -xplatform win32-g++ -qt-libpng -qt-libjpeg -qt-freetype -device-option CROSS_COMPILE=i686-w64-mingw32- -no-compile-examples -skip qtactiveqt -skip qtwebglplugin -skip qtwebengine -skip qtwebview -skip qtquickcontrols -skip qtlocation -icu -nomake tests -c++std c++14 -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include/SDL2 -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include -L /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/lib -I /usr/local/i586-mingw-msvc/DirectX_June_2010/Include -L /usr/local/i586-mingw-msvc/DirectX_June_2010/Lib/x86 -I /usr/local/i586-mingw-msvc/Vulkan/include -I /usr/local/i586-mingw-msvc/Vulkan/include/vulkan -L /usr/local/i586-mingw-msvc/Vulkan/lib -device-option SDL_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option SDL2_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option ICU_PREFIX=/usr/local/i586-mingw-msvc/icu -device-option OPENGL_ES2_PREFIX=/usr/local/i586-mingw-msvc/Angle -device-option VULKAN_PREFIX=/usr/local/i586-mingw-msvc/Vulkan -device-option LIBS_OPENGL_ES2+=GLESv2 -device-option LIBS_OPENGL_ES2+=EGL -device-option LIBEGL_NAME=EGL.dll -device-option LIBGLESV2_NAME=GLESv2.dll -opengl dynamic -no-eglfs -no-evr -feature-direct3d9 -feature-vulkan -pkg-config
#############################################################################

MAKEFILE      = Makefile

EQ            = =

first: make_first
QMAKE         = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -install qinstall
QINSTALL_PROGRAM = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
SUBTARGETS    =  \
		module-qtbase \
		module-qtnetworkauth \
		module-qtmacextras \
		module-qtx11extras \
		module-qtandroidextras \
		module-qtserialport \
		module-qtserialbus \
		module-qtimageformats \
		module-qtsvg \
		module-qtdeclarative \
		module-qtremoteobjects \
		module-qtscxml \
		module-qtpurchasing \
		module-qtcanvas3d \
		module-qtwebsockets \
		module-qtwebchannel \
		module-qtgamepad \
		module-qt3d \
		module-qtwayland \
		module-qtconnectivity \
		module-qtsensors \
		module-qtgraphicaleffects \
		module-qtquickcontrols2 \
		module-qtxmlpatterns \
		module-qtmultimedia \
		module-qtspeech \
		module-qtvirtualkeyboard \
		module-qtdatavis3d \
		module-qtcharts \
		module-qtwinextras \
		module-qttools \
		module-qtscript \
		module-qttranslations \
		module-qtdoc


module-qtbase-qmake_all:  FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro
	cd qtbase/ && $(MAKE) -f Makefile qmake_all
module-qtbase: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile
module-qtbase-make_first: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile 
module-qtbase-all: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile all
module-qtbase-clean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile clean
module-qtbase-distclean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile distclean
module-qtbase-install_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile install
module-qtbase-uninstall_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile uninstall
module-qtnetworkauth-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro
	cd qtnetworkauth/ && $(MAKE) -f Makefile qmake_all
module-qtnetworkauth: module-qtbase FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile
module-qtnetworkauth-make_first: module-qtbase-make_first FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile 
module-qtnetworkauth-all: module-qtbase-all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile all
module-qtnetworkauth-clean: module-qtbase-clean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile clean
module-qtnetworkauth-distclean: module-qtbase-distclean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile distclean
module-qtnetworkauth-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile install
module-qtnetworkauth-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile uninstall
module-qtmacextras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro
	cd qtmacextras/ && $(MAKE) -f Makefile qmake_all
module-qtmacextras: module-qtbase FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile
module-qtmacextras-make_first: module-qtbase-make_first FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile 
module-qtmacextras-all: module-qtbase-all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile all
module-qtmacextras-clean: module-qtbase-clean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile clean
module-qtmacextras-distclean: module-qtbase-distclean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile distclean
module-qtmacextras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile install
module-qtmacextras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile uninstall
module-qtx11extras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro
	cd qtx11extras/ && $(MAKE) -f Makefile qmake_all
module-qtx11extras: module-qtbase FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile
module-qtx11extras-make_first: module-qtbase-make_first FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile 
module-qtx11extras-all: module-qtbase-all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile all
module-qtx11extras-clean: module-qtbase-clean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile clean
module-qtx11extras-distclean: module-qtbase-distclean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile distclean
module-qtx11extras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile install
module-qtx11extras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile uninstall
module-qtandroidextras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtandroidextras/ || mkdir -p qtandroidextras/
	cd qtandroidextras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtandroidextras/qtandroidextras.pro
	cd qtandroidextras/ && $(MAKE) -f Makefile qmake_all
